pydo.vpcs.patch_peerings()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.vpcs.patch_peerings(
vpc_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
vpc_peering_id="5a4981aa-9653-4bd1-bef5-d6bff52042e4",
body={
"name": "nyc1-blr1-peering",
},
)Description
To update the name of a VPC peering in a particular VPC, send a PATCH request
to /v2/vpcs/{vpc_id}/peerings/{vpc_peering_id} with the new name in the
request body.
Parameters
vpc_idstring requiredA unique identifier for a VPC.
vpc_peering_idstring requiredA unique identifier for a VPC peering.
namestring requiredExample:
nyc1-blr1-peeringThe name of the VPC peering. Must be unique within the team and may only contain alphanumeric characters and dashes.
Request Sample
Response Example
More Information
See /v2/vpcs/{vpc_id}/peerings/{vpc_peering_id} in the API reference for additional detail on responses, headers, parameters, and more.